#!/usr/bin/env pwsh
+IF (!(Test-Path -Path "$Env:USERPROFILE\.vim\pack\plugins\start")) {
+ New-Item -Path "$Env:USERPROFILE\.vim\pack\plugins\start" -ItemType Directory
+}
Remove-Item -Path "$Env:USERPROFILE\.vim\pack\plugins\start\vim-go" -Recurse -ErrorAction Ignore
& git clone --depth=1 https://github.com/fatih/vim-go.git "$Env:USERPROFILE\.vim\pack\plugins\start\vim-go"
set -e
set -u
+ mkdir -p "$HOME/.vim/pack/plugins/start"
rm -rf "$HOME/.vim/pack/plugins/start/vim-go"
git clone --depth=1 https://github.com/fatih/vim-go.git "$HOME/.vim/pack/plugins/start/vim-go"
}
--- /dev/null
+#!/usr/bin/env pwsh
+
+IF (!(Test-Path -Path "$Env:USERPROFILE\.vim\pack\plugins\start")) {
+ New-Item -Path "$Env:USERPROFILE\.vim\pack\plugins\start" -ItemType Directory
+}
+Remove-Item -Path "$Env:USERPROFILE\.vim\pack\plugins\start\vim-sensible" -Recurse -ErrorAction Ignore
+& git clone --depth=1 https://tpope.io/vim/sensible.git "$Env:USERPROFILE\.vim\pack\plugins\start\vim-sensible"
# It just works.
#
-mkdir -p $HOME/.vim/pack/plugins/start
-rm -rf $HOME/.vim/pack/plugins/start/sensible
-git clone --depth=1 https://tpope.io/vim/sensible.git $HOME/.vim/pack/plugins/start/sensible
+{
+ set -e
+ set -u
+
+ mkdir -p "$HOME/.vim/pack/plugins/start"
+ rm -rf "$HOME/.vim/pack/plugins/start/sensible" "$HOME/.vim/pack/plugins/start/vim-sensible"
+ git clone --depth=1 https://tpope.io/vim/sensible.git "$HOME/.vim/pack/plugins/start/vim-sensible"
+}
--- /dev/null
+---
+title: vim-syntastic
+homepage: https://github.com/vim-syntastic/syntastic
+tagline: |
+ Syntastic runs files through external syntax checkers and displays any resulting errors to the user.
+description: |
+ vim-syntastic has been superseded by [ALE](https://github.com/dense-analysis/ale), but it lives on in my heart, my `.vim`, and my `.vimrc`.
+---
+
+### How to install manually
+
+```bash
+git clone --depth=1 https://github.com/vim-syntastic/syntastic.git ~/.vim/pack/plugins/start/vim-syntastic
+```
+
+### How to configure in `.vimrc`
+
+`.vimrc`:
+
+```txt
+" manually set plugin to use bash - not zsh, fish, etc
+set shell=bash
+
+" add this if packages don't load automatically
+" or remove it otherwise
+packloadall
+
+" turn on the systax checker
+syntax on
+
+" don't check syntax immediately on open or on quit
+let g:syntastic_check_on_open = 1
+let g:syntastic_check_on_wq = 0
+```
+
+### How to configure language-specific linters
+
+```txt
+let g:syntastic_javascript_checkers = ['jshint']
+let g:syntastic_go_checkers = ['go', 'golint', 'errcheck']
+```
--- /dev/null
+#!/usr/bin/env pwsh
+
+IF (!(Test-Path -Path "$Env:USERPROFILE\.vim\pack\plugins\start")) {
+ New-Item -Path "$Env:USERPROFILE\.vim\pack\plugins\start" -ItemType Directory
+}
+Remove-Item -Path "$Env:USERPROFILE\.vim\pack\plugins\start\vim-syntastic" -Recurse -ErrorAction Ignore
+& git clone --depth=1 https://github.com/vim-syntastic/syntastic.git "$Env:USERPROFILE\.vim\pack\plugins\start\vim-syntastic"
--- /dev/null
+#!/bin/bash
+
+{
+ set -e
+ set -u
+
+ mkdir -p "$HOME/.vim/pack/plugins/start"
+ rm -rf "$HOME/.vim/pack/plugins/start/vim-syntastic"
+ git clone --depth=1 https://github.com/vim-syntastic/syntastic.git "$HOME/.vim/pack/plugins/start/vim-syntastic"
+}